<?php

namespace Lc\SovBundle\Model\Site;

use Doctrine\ORM\Mapping as ORM;
use Lc\SovBundle\Doctrine\Pattern\AbstractFullEntity;

/**
 * @ORM\MappedSuperclass()
 */
abstract class PageModel extends AbstractFullEntity implements PageInterface
{
    /**
     * @ORM\Column(type="text", nullable=true)
     */
    protected $content;

    public function __toString()
    {
        return $this->getTitle();
    }

    public function getContent(): ?string
    {
        return $this->content;
    }

    public function setContent(?string $content): self
    {
        $this->content = $content;

        return $this;
    }

}
